Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Interface MutablePortletXtra2

All Known Subinterfaces:
  MutablePortletXtra3

public interface MutablePortletXtra2
extends PortletXtra2, MutableMobilePortlet

Second extension to the MutablePortlet interface. First extension was (mis)named MutableMobilePortlet. Extensions are created when new meta data is added to preserve compatibility with existing portlet implementations (that implement the base interfaces).

Method Summary
`void` | `setMobileFlags(long flags)` Sets the portlet's mobile settings.
`void` | `setMobileFlags(java.lang.String flags)` Sets the portlet's mobile settings.
`void` | `setShortTitle(java.lang.String title)` Sets the short title for the portlet.
`void` | `setShowLink(boolean value)` Controls whether this Portlet is capable of rendering content for link mode.
`void` | `setShowLink(java.lang.String value)` Controls whether this Portlet is capable of rendering content for link mode.

Methods inherited from interface oracle.portal.provider.v1.PortletXtra2
`getMobileFlags, getShortTitle, hasShowLink`

Methods inherited from interface oracle.portal.provider.v1.MutableMobilePortlet
`setCallGetPortlet, setCallGetPortlet, setCallIsRunnable, setCallIsRunnable, setShowLinkMode, setShowLinkMode`

Methods inherited from interface oracle.portal.provider.v1.MobilePortlet
`callGetPortlet, callIsRunnable, hasShowLinkMode`

Methods inherited from interface oracle.portal.provider.v1.MutablePortlet
`addAcceptContentType, addInputParameter, setDefaultLocale, setDescription, setHasAbout, setHasHelp, setId, setName, setPersonalizationManager, setRenderer, setResource, setSecurityManager, setShowDetails, setShowEdit, setShowEditDefault, setShowEditToPublic, setShowPreview, setTimeout, setTimeoutMessage, setTitle`

Method Detail

### setShortTitle

    public void setShortTitle(java.lang.String title)

  Sets the short title for the portlet. A short title is a name identifying the portlet and is used by the portal when there is limited real estate. For example the short title is used when rendering the mobile link to a portlet.
  Parameters:
    `the` - short title of the portlet.

### setMobileFlags

    public void setMobileFlags(long flags)

  Sets the portlet's mobile settings. The flags values are defined by the `MobileFlags` interface.
  Parameters:
    `the` - portlet's mobile setting in a bitwise flag

### setMobileFlags

    public void setMobileFlags(java.lang.String flags)
                        throws java.lang.IllegalArgumentException

  Sets the portlet's mobile settings. The flags values are defined by the `MobileFlags` interface. This form allows you to set the flags as a string. The string can either be the (case insensitive) delimited names of the flags or the number itself (as a String). E.g. passing "MOBILE_ONLY | EXTERNAL_SHOW" is the same as passing the string "3" to the method.
  Parameters:
    `the` - portlet's mobile setting in a bitwise flag

### setShowLink

    public void setShowLink(boolean value)

  Controls whether this Portlet is capable of rendering content for link mode. This method is equivalent to `setShowLinkMode()` in `MutableMobilePortlet` It was added to make the naming of this method consistent with the other SHOW accessors.
  Parameters:
    `value` - boolean flag.

### setShowLink

    public void setShowLink(java.lang.String value)

  Controls whether this Portlet is capable of rendering content for link mode. This method is equivalent to `setShowLinkMode()` in `MutableMobilePortlet` It was added to make the naming of this method consistent with the other SHOW accessors.
  Parameters:
    `value` - String representing a boolean.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD